.\" $NetBSD: wdsc.4,v 1.9 2008/04/30 13:10:56 martin Exp $
.\"
.\" Copyright (c) 1999 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Steve C. Woodford.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 21, 2006
.Dt WDSC 4 sgimips
.Os
.Sh NAME
.Nm wdsc
.Nd Western Digital WD33c93 SCSI Bus Interface Controller
.Sh SYNOPSIS
.Cd "wdsc* at hpc? offset ?"
.Sh DESCRIPTION
The
.Nm
driver provides an abstraction layer between the SCSI hardware
found in multitudinous SGI machines (including Personal Iris series,
Indigo, Indy, Challenge S, Indigo2, and Challenge M) and the machine independent
SCSI drivers described in
.Xr scsibus 4 .
.Pp
In addition to sending the required SCSI commands to
target devices on the SCSI bus, the
.Nm
driver deals with DMA, device interrupts, sync/async negotiation,
and target disconnects/reconnects.
.Sh SEE ALSO
.Xr hpc 4 ,
.Xr scsibus 4
.Sh HISTORY
Wayne Knowles ported the sgimips incarnation of the
.Nm
driver from the amiga and atari ports.
It first appeared in
.Nx 1.6 .
